<?php

spl_autoload_register(
    function($className)
    {
        $className = str_replace("_", "\\", $className);
        $className = ltrim($className, '\\');
        $fileName = '';
        $namespace = '';
        if ($lastNsPos = strripos($className, '\\'))
        {
            $namespace = substr($className, 0, $lastNsPos);
            $className = substr($className, $lastNsPos + 1);
            $fileName = '../prototype/library/' . str_replace('\\', DIRECTORY_SEPARATOR, $namespace) . DIRECTORY_SEPARATOR;
        }
        $fileName .= str_replace('_', DIRECTORY_SEPARATOR, $className) . '.php';

        require $fileName;
    }
);

use Assetic\Asset\AssetCache;
use Assetic\Asset\AssetCollection;
use Assetic\Asset\FileAsset;
use Assetic\Filter\Yui;
use Assetic\Cache\FilesystemCache;

    $plugins = array(
        '../prototype/plugins/json2/json2.js',
        '../prototype/plugins/ejs/ejs.js',
        '../prototype/plugins/scrollto/jquery.scrollTo.js',
        '../prototype/plugins/timepicker/jquery-ui-timepicker-addon.js',
        '../prototype/plugins/timepicker/localization/jquery-ui-timepicker-pt-BR.js',
        '../prototype/plugins/jquery/i18n/jquery.ui.datepicker-pt-BR.js',
        '../prototype/plugins/lazy/jquery.lazy.js',
        '../prototype/plugins/datejs/date-pt-BR.js',
        '../prototype/plugins/datejs/sugarpak.js',
        '../prototype/plugins/datejs/parser.js',
        '../prototype/plugins/block/jquery.blockUI.js',
        '../prototype/plugins/jq-raty/js/jquery.raty.min.js',
        '../prototype/plugins/jquery.jrating/jRating.jquery.js',
        '../prototype/plugins/watermark/jquery.watermarkinput.js',
        '../prototype/plugins/fileupload/jquery.iframe-transport.js',
        '../prototype/plugins/qtip/jquery.qtip-1.0.0-rc3.min.js',
        '../prototype/modules/calendar/js/timezone.js',
        '../prototype/plugins/dateFormat/dateFormat.js',
        '../prototype/modules/calendar/js/calendar.date.js',
        '../prototype/modules/calendar/js/desktop.notification.js',
        '../prototype/modules/calendar/js/calendar.codecs.js',
        '../prototype/modules/calendar/js/calendar.alarms.js',
        '../prototype/modules/calendar/js/helpers.js',
        '../prototype/plugins/freeow/jquery.freeow.min.js',
        '../prototype/plugins/treeview/jquery.treeview.js',
        '../prototype/plugins/treeview/lib/jquery.cookie.js',    
        '../prototype/plugins/scrollto/jquery.scrollTo.js',
        '../prototype/plugins/jqgrid/js/i18n/grid.locale-pt-br.js',
        '../prototype/plugins/jqgrid/js/jquery.jqGrid.min.js',
        '../prototype/modules/mail/js/foldertree.js',
        '../prototype/plugins/zebradialog/javascript/zebra_dialog.js',
        '../prototype/plugins/alphanumeric/jquery.alphanumeric.js',
        '../prototype/plugins/freeow/jquery.freeow.js'
    );

    $scripts = array(
        'js/modal/modal.js',
        'js/base64.js',
        'js/QuickCatalogSearch.js',
        'js/common_functions.js',
        'js/abas.js',
        'js/draw_api.js',
        'js/main.js',
        '../prototype/modules/mail/js/followupflag.js',
        'js/messages_controller.js',
        'js/doiMenuData.js',
        'js/rich_text_editor.js',
        '../prototype/modules/filters/filters.js',
        '../prototype/modules/mail/js/label.js',
        'js/init.js'
    );
    
    foreach ($plugins as $filename) {
        $compressor = new Yui\JsCompressorFilter('../prototype/library/yuicompressor/yuicompressor.jar');
        $plugin = new AssetCache(
            new FileAsset($filename/*,array($compressor)*/),
            new FilesystemCache('/tmp')
        );
        echo $plugin->dump();
    }
    foreach ($scripts as $filename) {
        $compressor = new Yui\JsCompressorFilter('../prototype/library/yuicompressor/yuicompressor.jar');
        $script = new AssetCache(
            new FileAsset($filename/*,array($compressor)*/),
            new FilesystemCache('/tmp')
        );
        echo $script->dump();
    }
?>